%define		php_name	php%{?php_suffix}
%define		modname	dbx
%define		status		stable
Summary:	%{modname} - database abstraction functions
Summary(pl.UTF-8):	%{modname} - funkcje abstrakcji baz danych
Name:		%{php_name}-pecl-%{modname}
Version:	1.1.2
Release:	4
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	8cac1af119e6afa519853bfd3a911bbb
URL:		http://pecl.php.net/package/dbx/
BuildRequires:	%{php_name}-devel >= 4:5.0.4
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-dbx
Obsoletes:	php-pecl-dbx < 1.1.2-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The dbx module is a database abstraction layer. The dbx functions
allow you to access all supported databases using a single calling
convention. The dbx-functions themselves do not interface directly to
the databases, but interface to the modules that are used to support
these databases.

The currently supported databases are MySQL, ODBC, Oracle (oci8), MS
SQL Server, PostgreSQL, FrontBase, Sybase-CT and SQLite.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Moduł dbx to warstwa abstrakcji baz danych. Funkcje dbx pozwalają na
dostęp do wspieranych baz danych przy użyciu spójnej konwencji.
Funkcje dbx jako takie nie są bezpośrednim interfejsem do bazy danych,
ale interfejsem do modułów do obsługi baz danych.

Aktualnie wspierane bazy danych to MySQL, ODBC, Oracle (oci8), MS SQL
Server, PostgreSQL, FrontBase, Sybase-CT oraz SQLite.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-*/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Fri May 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-dbx.git;a=log;h=master

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> ad8e5c0
- obsolete old php name
- release 4 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 3cc96ac
- php 5.5 rebuild
- release 3 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 778b1de
- provide php(extname) to really be supporting multiple php versions

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> bc9bfcc
- up to 1.1.2

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> e3eff1a
- support building for multiple php versions

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 2eee6a2
- release 3 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d7404ba
- release 2

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> 8bfd622
- adapter, simplify

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> fc824c9
- add branch diff (1.1.1-dev); builds with php53

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> 9620a30
- unify

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 10412fe
- release 9

* Tue May 18 2010 Tomasz Pala <gotar@pld-linux.org> e529bd1
- rel. 8

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> cb5e898
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dcc3470
- converted to UTF-8

* Wed Dec 20 2006 Elan Ruusamäe <glen@pld-linux.org> 6b75015
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 912a849
- rel 7 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 20d41d9
- BR rpmmacros for fixed %requires_php_extension

* Mon Dec 26 2005 Jakub Bogusz <qboosh@pld-linux.org> 83550c6
- no macro for old package name

* Sun Dec 25 2005 Elan Ruusamäe <glen@pld-linux.org> d29072e
- obsolete removed php extension from php sources; rel 6

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 90224b0
- rel 5 (rebuild with new php)

